Package org.apache.jasper.tagplugins.jstl

# Class Util

java.lang.Object
org.apache.jasper.tagplugins.jstl.Util

public class Util extends Object
Util contains some often used consts, static methods and embedded class to support the JSTL tag plugin.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Util.ImportResponseWrapper`
Wraps responses to allow us to retrieve results as Strings.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ENCODING`

## Constructor Summary

Constructors
Constructor
Description
`Util()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`escapeXml(char[] arrayBuffer, int length)`
`static String`
`escapeXml(String buffer)`
Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> &amp; < -> &lt; > -> &gt; " -> &#034; ' -> &#039; See also OutSupport.writeEscapedXml().
`static String`
`getContentTypeAttribute(String input, String name)`
Get the value associated with a content-type attribute.
`static int`
`getScope(String scope)`
Converts the given string description of a scope to the corresponding PageContext constant.
`static boolean`
`isAbsoluteUrl(String url)`
Returns `true` if our current URL is absolute, `false` otherwise.
`static String`
`resolveUrl(String url, String context, PageContext pageContext)`
Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupport

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_ENCODING

public static final String DEFAULT_ENCODING

See Also:
  - Constant Field Values

## Constructor Details

### Util

public Util()

## Method Details

### getScope

public static int getScope(String scope)
Converts the given string description of a scope to the corresponding PageContext constant. The validity of the given scope has already been checked by the appropriate TLV.

Parameters:
  `scope` - String description of scope
Returns:
  PageContext constant corresponding to given scope description taken from org.apache.taglibs.standard.tag.common.core.Util

### isAbsoluteUrl

public static boolean isAbsoluteUrl(String url)
Returns `true` if our current URL is absolute, `false` otherwise. taken from org.apache.taglibs.standard.tag.common.core.ImportSupport

Parameters:
  `url` - The URL
Returns:
  `true` if the URL is absolute

### getContentTypeAttribute

public static String getContentTypeAttribute(String input, String name)
Get the value associated with a content-type attribute. Syntax defined in RFC 2045, section 5.1. taken from org.apache.taglibs.standard.tag.common.core.Util

Parameters:
  `input` - The attribute string
  `name` - The attribute name
Returns:
  the attribute value

### escapeXml

public static String escapeXml(String buffer)
Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> &amp; < -> &lt; > -> &gt; " -> &#034; ' -> &#039; See also OutSupport.writeEscapedXml(). taken from org.apache.taglibs.standard.tag.common.core.Util

Parameters:
  `buffer` - Data to escape
Returns:
  escaped data

### escapeXml

public static String escapeXml(char[] arrayBuffer, int length)

### resolveUrl

public static String resolveUrl(String url, String context, PageContext pageContext) throws JspException
Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupport

Parameters:
  `url` - The URL
  `context` - The context
  `pageContext` - The page context
Returns:
  the absolute URL
Throws:
  `JspException` - If the URL doesn't start with '/'